Skip to main content
`Ctrl`+`K`

# KSPGuess

Abstract PETSc object that manages all initial guess generation methods for Krylov methods.

## Synopsis

    typedef struct _p_KSPGuess *KSPGuess;

## Note

These methods generate initial guesses based on a series of previous, related, linear solves. For example, in implicit time-stepping with `TS`.

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPGuessSetType()`, `KSPGuessType`

## Level

intermediate

## Location

include/petscksp.h

## Implementations

_p_KSPGuess in include/petsc/private/kspimpl.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages